<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

define('ROOT', str_replace(array('\\', '//'), '/', getcwd()).'/');

if (file_exists(ROOT.'__incfiles/core.php')) {
	require_once(ROOT.'__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

$row = mysql_fetch_row(mysql_query("SELECT TRIM(`path`), `size` FROM `".SQLprefixTable."files` WHERE `id`='".$id."'"));

if (file_exists($row[0])) {

	if (!isset($_COOKIE['jar_'.$id]) && isset($_GET['load'])) {
		mysql_query("UPDATE `".SQLprefixTable."files` SET `load`=`load`+'1' WHERE `id`='".$id."'");
		setCookie('jar_'.$id, time(), time() + 3600 * 24 * 365, '/');
	}
	
	require_once(SYSTEM.'pclzip.lib.php');
	
	$zip = new PclZip($row[0]);
	$content = $zip->extract(PCLZIP_OPT_BY_NAME, 'META-INF/MANIFEST.MF', PCLZIP_OPT_EXTRACT_AS_STRING);

	header('Content-type: text/vnd.sun.j2me.app-descriptor');
	header('Content-Disposition: attachment; filename="'.basename($row[0]).'.jad";');

	echo $content[0]['content']."\n".'MIDlet-Jar-Size: '.$row[1]."\n".'MIDlet-Jar-URL: '.SCRIPT.'/'.$row[0];
	
} else {
	error('Файл не найден!');
}
?>